org.gradle.api.reporting.dependents

## Class DependentComponentsReport

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.reporting.dependents.DependentComponentsReport

- All Implemented Interfaces:
    Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.TaskInternal, ExtensionAware, Task, org.gradle.util.Configurable<Task>

      @Incubating
      public class DependentComponentsReport
      extends DefaultTask

  Displays dependent components.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DependentComponentsReport()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<String>` | `getComponents()` Returns the components to generate the report for.
    `protected org.gradle.model.internal.registry.ModelRegistry` | `getModelRegistry()`
    `boolean` | `getShowAll()` Should this include both non-buildable and test suites in the report?
    `protected org.gradle.internal.logging.text.StyledTextOutputFactory` | `getTextOutputFactory()`
    `boolean` | `isShowNonBuildable()` Should this include non-buildable components in the report?
    `boolean` | `isShowTestSuites()` Should this include test suites in the report?
    `void` | `report()`
    `void` | `setComponents(List<String> components)` Sets the components to generate the report for.
    `void` | `setShowAll(boolean showAll)` Set this to include both non buildable components and test suites in the report.
    `void` | `setShowNonBuildable(boolean showNonBuildable)`
    `void` | `setShowTestSuites(boolean showTestSuites)`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doLast, doLast, execute, finalizedBy, getActionClassLoaders, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DependentComponentsReport

          public DependentComponentsReport()

  - ### Method Detail

    - #### isShowNonBuildable

          @Console
          public boolean isShowNonBuildable()

      Should this include non-buildable components in the report?

    - #### setShowNonBuildable

          public void setShowNonBuildable(boolean showNonBuildable)

    - #### isShowTestSuites

          @Console
          public boolean isShowTestSuites()

      Should this include test suites in the report?

    - #### setShowTestSuites

          public void setShowTestSuites(boolean showTestSuites)

    - #### getShowAll

          @Console
          public boolean getShowAll()

      Should this include both non-buildable and test suites in the report?

    - #### setShowAll

          public void setShowAll(boolean showAll)

      Set this to include both non buildable components and test suites in the report.

    - #### getComponents

          @Console
          public List<String> getComponents()

      Returns the components to generate the report for. Defaults to all components of this project.
      Returns:
        the components.

    - #### setComponents

          public void setComponents(List<String> components)

      Sets the components to generate the report for.
      Parameters:
        `components` - the components.

    - #### getTextOutputFactory

          @Inject
          protected org.gradle.internal.logging.text.StyledTextOutputFactory getTextOutputFactory()

    - #### getModelRegistry

          @Inject
          protected org.gradle.model.internal.registry.ModelRegistry getModelRegistry()

    - #### report

          public void report()